package com.tencent.mm.plugin.appbrand.appusage;

import a.a.e;
import a.aa;
import a.f.b.j;
import a.l;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.ai.a;
import com.tencent.mm.protocal.protobuf.cda;
import com.tencent.mm.protocal.protobuf.cdb;
import com.tencent.mm.protocal.protobuf.ckk;
import com.tencent.mm.protocal.protobuf.ckl;
import java.util.List;

@l(dWo = {1, 1, 13}, dWp = {"\u0000 \n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010 \n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\b\n\u0002\b\u0004\u0018\u0000 \t2\b\u0012\u0004\u0012\u00020\u00020\u0001:\u0002\t\nB\u001d\b\u0010\u0012\f\u0010\u0003\u001a\b\u0012\u0004\u0012\u00020\u00050\u0004\u0012\u0006\u0010\u0006\u001a\u00020\u0007¢\u0006\u0002\u0010\b¨\u0006\u000b"}, dWq = {"Lcom/tencent/mm/plugin/appbrand/appusage/CgiUpdateWxaStarRecord;", "Lcom/tencent/mm/modelbase/Cgi;", "Lcom/tencent/mm/protocal/protobuf/UpdateWxaStarRecordResponse;", "opList", "", "Lcom/tencent/mm/protocal/protobuf/StarWxaSortOperation;", "opReason", "", "(Ljava/util/List;I)V", "Companion", "UpdateReason", "plugin-appbrand-integration_release"})
public final class z extends a<ckl> {
    private static final int[] haw = new int[]{1, 2, 3, 4};
    public static final a hax = new a((byte) 0);

    @l(dWo = {1, 1, 13}, dWp = {"\u0000\u0012\n\u0002\u0018\u0002\n\u0002\u0010\u0010\n\u0000\n\u0002\u0010\b\n\u0002\b\t\b\u0001\u0018\u00002\b\u0012\u0004\u0012\u00020\u00000\u0001B\u000f\b\u0002\u0012\u0006\u0010\u0002\u001a\u00020\u0003¢\u0006\u0002\u0010\u0004R\u0011\u0010\u0002\u001a\u00020\u0003¢\u0006\b\n\u0000\u001a\u0004\b\u0005\u0010\u0006j\u0002\b\u0007j\u0002\b\bj\u0002\b\tj\u0002\b\nj\u0002\b\u000b¨\u0006\f"}, dWq = {"Lcom/tencent/mm/plugin/appbrand/appusage/CgiUpdateWxaStarRecord$UpdateReason;", "", "intValue", "", "(Ljava/lang/String;II)V", "getIntValue", "()I", "None", "Timeout", "ClosePullDown", "CloseCollectionList", "History", "plugin-appbrand-integration_release"})
    public enum b {
        None(0),
        Timeout(1),
        ClosePullDown(2),
        CloseCollectionList(3),
        History(4);
        
        final int intValue;

        private b(int i) {
            this.intValue = i;
        }

        static {
            AppMethodBeat.o(134547);
        }
    }

    public static final cdb b(cda cda) {
        AppMethodBeat.i(134553);
        cdb b = a.b(cda);
        AppMethodBeat.o(134553);
        return b;
    }

    public z(List<? extends cdb> list, int i) {
        j.p(list, "opList");
        AppMethodBeat.i(134550);
        if (a.axN()) {
            Object obj = (list.isEmpty() || !e.contains(haw, i)) ? null : 1;
            if (aa.AUz && obj == null) {
                Throwable assertionError = new AssertionError("Assertion failed");
                AppMethodBeat.o(134550);
                throw assertionError;
            }
        }
        com.tencent.mm.ai.b.a aVar = new com.tencent.mm.ai.b.a();
        aVar.b((com.tencent.mm.bt.a) new ckl());
        aVar.qq("/cgi-bin/mmbiz-bin/wxaapp/updatestarrecord");
        aVar.kU(1839);
        ckk ckk = new ckk();
        ckk.xip.addAll(list);
        ckk.boZ = i;
        aVar.a((com.tencent.mm.bt.a) ckk);
        a(aVar.acD());
        AppMethodBeat.o(134550);
    }

    static {
        AppMethodBeat.i(134551);
        AppMethodBeat.o(134551);
    }

    public static final cdb a(cda cda) {
        AppMethodBeat.i(134552);
        cdb a = a.a(cda, null, null);
        AppMethodBeat.o(134552);
        return a;
    }
}
